Open Batch
Open a new settlement batch for a processor.
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·BatchOpenRequest
required
application/json
Payload for opening a new batch for a processor.
- Type: string · Processor Batch Idprocessor
_batch _id required - Type: string · Terminal Idterminal
_id required
Responses
- application/json
- application/json
Request Example for post/v1/batches/open
curl https://api.uat.koard.com/v1/batches/open \
--request POST \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"processor_batch_id": "",
"terminal_id": ""
}'
{
"account_id": "string",
"batch_metadata": null,
"captured_amount": 0,
"closed_at": null,
"id": "string",
"opened_at": "2026-04-20T15:32:06.309Z",
"processor_batch_id": null,
"processor_config_id": "string",
"processor_name": "string",
"refunded_amount": 0,
"response": null,
"status": "open",
"terminal_id": "string",
"transaction_count": 0
}
